Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  trait Phased extends AnyRef

  Mix this into an object and use it as a phasing Swiss Army knife.

  Mix this into an object and use it as a phasing Swiss Army knife.

  Definition Classes
    interpreter
- Cleanup
- Constructors
- Delambdafy
- Erasure
- Explicitouter
- Extmethods
- Fields
- Flatten
- Jvm
- Lambdalift
- Mixin
- Namer
- NoPhaseName
- Packageobjects
- Parser
- Patmat
- PhaseName
- Pickler
- PostErasure
- Refchecks
- Specialize
- Superaccessors
- Tailcalls
- Terminal
- Typer
- Uncurry

o

scala.tools.nsc.interpreter.Phased

# Explicitouter 

###

#### object Explicitouter extends PhaseName with Product with Serializable

Source
  Phased.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, PhaseName, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Explicitouter
2. Serializable
3. Serializable
4. Product
5. Equals
6. PhaseName
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  lazy val id: Int
    Definition Classes
      PhaseName
11.  def isEmpty: Boolean
    Definition Classes
      PhaseName
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  lazy val name: String
    Definition Classes
      PhaseName
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
17.  def phase: Phase
    Definition Classes
      PhaseName
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PhaseName

### Inherited from AnyRef

### Inherited from Any

### Ungrouped